package com.qmth.teachcloud.mark.enums;

public enum BatchStatus {

    INIT("初始"),

    FINISH("完成");

    private String name;

    BatchStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static BatchStatus getByName(String name) {
        for (BatchStatus r : BatchStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
